ROUNDUP-MAILGW(1)

NAME
roundup-mailgw - mail gateway for roundup

SYNOPSIS
roundup-mailgw <instance home> [method]

OPTIONS

-C hyperdb class
    specify a tracker class - one of msg (the default), issue, file, user - to manipulate with -S options

-S property=value[;property=value] pairs
    specify the values to set on the class specified by -C using the same format as the Subject line property manipulations

DESCRIPTION
The roundup mail gateway may be called in one of three ways:

•   with an instance home as the only argument,

•   with both an instance home and a mail spool file, or

•   with both an instance home and a pop server account.

PIPE
In the first case, the mail gateway reads a single message from the standard input and submits the message to the roundup.mailgw module.

UNIX mailbox
In the second case, the gateway reads all messages from the mail spool file and submits each in turn to the roundup.mailgw module. The file is emptied once all messages have been successfully handled. The file is specified as:
 mailbox /path/to/mailbox

In all of the following the username and password can be stored in a ~/.netrc file. In this case only the server name need be specified on the command-line.

The username and/or password will be prompted for if not supplied on the command-line or in ~/.netrc.

POP
In the third case, the gateway reads all messages from the POP server specified and submits each in turn to the roundup.mailgw module. The server is specified as:
 pop username:password@server
The username and password may be omitted:
 pop username@server
 pop server
are both valid.

APOP Same as POP, but using Authenticated POP:
 apop username:password@server

AUTHOR
This manpage was written by Bastian Kleineidam <calvin@debian.org> for the Debian distribution of roundup.

The main author of roundup is Richard Jones <richard@users.sourceforge.net>.